Bug 1830529 - Re-Review Request: seahorse-adventures - Retro side-scrolling platformer game
Summary: Re-Review Request: seahorse-adventures - Retro side-scrolling platformer game
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Payne
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2020-05-02 14:31 UTC by Artur Iwicki
Modified: 2020-06-07 19:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-07 19:47:05 UTC
Type: ---
dulsi: fedora-review+


Attachments (Terms of Use)

Description Artur Iwicki 2020-05-02 14:31:36 UTC
spec: https://svgames.pl/fedora/seahorse-adventures-1.1-3.20200502git0f342d34/seahorse-adventures.spec
srpm: https://svgames.pl/fedora/seahorse-adventures-1.1-3.20200502git0f342d34/seahorse-adventures-1.1-3.20200502git0f342d34.fc32.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=44034044

Description: Help barbie the seahorse float on bubbles to the moon. Includes original soundtrack, graphics, and 15 levels!

Fedora Account System Username: suve

This a re-review request for seahorse-adventures, which was previously packaged for Fedora (it is, in fact, still available for F30 and F31). It was dropped from F32+ due to being python2-only. A python3 fork as appeared recently (https://github.com/dulsi/seahorse-adventures) and that's what's being packaged here.

Comment 1 Andrea Musuruane 2020-05-03 10:34:15 UTC
Version 1.2 has been tagged:
https://github.com/dulsi/seahorse-adventures/releases

%{_datadir}/icons/hicolor/**/apps/%{name}.png
Are the two asterisks a typo?

Comment 2 Dennis Payne 2020-05-10 17:28:07 UTC
In appdata.xml, project license should be GPL-2.0+. Also can you add the OARS info:

  <content_rating type="oars-1.1">
    <content_attribute id="violence-cartoon">moderate</content_attribute>
  </content_rating>

Thanks for working on packaging this.

Comment 3 Artur Iwicki 2020-05-10 19:25:45 UTC
@Andrea: Updated. As for the double asterisk, well, I've been doing that for icons since always, but I see that a single asterisk works too, so I may change that if it's preferable.

@Dennis: Thanks, I've changed that in the AppData file.

spec: https://svgames.pl/fedora/seahorse-adventures-1.2-1/seahorse-adventures.spec
srpm: https://svgames.pl/fedora/seahorse-adventures-1.2-1/seahorse-adventures-1.2-1.fc32.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=44324597

Comment 5 Dennis Payne 2020-05-26 01:32:44 UTC
rpmlint spelling errors are incorrect. The text is fine. I'm correcting the fsf address in the repository. Is it alright to leave that as is for now and have it fixed in the next release?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: seahorse-adventures-1.2-2.fc33.noarch.rpm
          seahorse-adventures-1.2-2.fc33.src.rpm
seahorse-adventures.noarch: W: spelling-error %description -l en_US scroller -> stroller, scrolled, scroll er
seahorse-adventures.noarch: W: spelling-error %description -l en_US pyweek -> weekly
seahorse-adventures.noarch: E: incorrect-fsf-address /usr/share/licenses/seahorse-adventures/LICENSE.txt
seahorse-adventures.noarch: W: dangling-symlink /usr/share/seahorse-adventures/data/themes/default/Vera.ttf /usr/share/fonts/bitstream-vera-sans-fonts/Vera.ttf
seahorse-adventures.noarch: W: dangling-symlink /usr/share/seahorse-adventures/data/themes/gray/Vera.ttf /usr/share/fonts/bitstream-vera-sans-fonts/Vera.ttf
seahorse-adventures.noarch: E: incorrect-fsf-address /usr/share/seahorse-adventures/lib/pgu/LICENSE.txt
seahorse-adventures.noarch: W: no-manual-page-for-binary seahorse-adventures
seahorse-adventures.noarch: W: desktopfile-without-binary /usr/share/applications/seahorse-adventures.desktop seahorse-adventures
seahorse-adventures.src: W: spelling-error %description -l en_US scroller -> stroller, scrolled, scroll er
seahorse-adventures.src: W: spelling-error %description -l en_US pyweek -> weekly
seahorse-adventures.src:42: W: mixed-use-of-spaces-and-tabs (spaces: line 42, tab: line 41)
2 packages and 0 specfiles checked; 2 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
seahorse-adventures.noarch: W: spelling-error %description -l en_US scroller -> stroller, scrolled, scroll er
seahorse-adventures.noarch: W: spelling-error %description -l en_US pyweek -> weekly
seahorse-adventures.noarch: W: invalid-url URL: http://www.imitationpickles.org/barbie/ <urlopen error [Errno -2] Name or service not known>
seahorse-adventures.noarch: E: incorrect-fsf-address /usr/share/licenses/seahorse-adventures/LICENSE.txt
seahorse-adventures.noarch: W: dangling-symlink /usr/share/seahorse-adventures/data/themes/default/Vera.ttf /usr/share/fonts/bitstream-vera-sans-fonts/Vera.ttf
seahorse-adventures.noarch: W: dangling-symlink /usr/share/seahorse-adventures/data/themes/gray/Vera.ttf /usr/share/fonts/bitstream-vera-sans-fonts/Vera.ttf
seahorse-adventures.noarch: E: incorrect-fsf-address /usr/share/seahorse-adventures/lib/pgu/LICENSE.txt
seahorse-adventures.noarch: W: no-manual-page-for-binary seahorse-adventures
1 packages and 0 specfiles checked; 2 errors, 6 warnings.

Comment 6 Artur Iwicki 2020-05-26 11:47:31 UTC
As far as I recall, the guidelines say that in case of an incorrect FSF address, it's only necessary to notify upstream. Seeing how you're the upstream, I guess we can agree that upstream is aware of the issue. ;)

Comment 7 Artur Iwicki 2020-05-26 14:00:20 UTC
Submitted a releng ticket requesting unretiring: https://pagure.io/releng/issue/9475

Comment 8 Fedora Update System 2020-05-29 11:34:58 UTC
FEDORA-2020-73ada0e92a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-73ada0e92a

Comment 9 Fedora Update System 2020-05-30 04:03:56 UTC
FEDORA-2020-73ada0e92a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-73ada0e92a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-73ada0e92a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-06-07 19:47:05 UTC
FEDORA-2020-73ada0e92a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.